import { emitter } from "./utils/emitter";
import Wrapper from "./components/Wrapper.vue";
import { App, Component } from "vue";
export default {
  install: (app: App, options: { wrapperName: string }) => {
    app.component(
      options && options.wrapperName
        ? options.wrapperName
        : "dynamic-components-wrapper",
      Wrapper
    );
    app.config.globalProperties.$dc = {
      push(component: Component, options: any, wrapperName: string) {
        emitter.emit("pushComponent", [{ component, ...options }, wrapperName]);
      },
      hide(id: number, wrapperName: string) {
        emitter.emit("hideComponent", [id, wrapperName]);
      },
    };
  },
};
